import abc
from pathlib import Path
from typing import Any, Optional

from lmm.cmd import run_cmd_nonblocking
from lmm.games.game import Game, ProtonGame
from lmm.runners.runner import Runner
from lmm.runners.steam import SteamFlatpakAppIdRunner


def runner_from_config(data: dict[str, Any]) -> Optional[Runner]:
    match data["type"]:
        case "steam.flatpak":
            return SteamFlatpakAppIdRunner()
        case _:
            return None
